From 75c1d242c6f731a9a66e1f16a4baed367e4414b1 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 29 Aug 2012 14:26:03 +0200
Subject: inheritable_attributes are now class_attributes

--HG--
extra : source : f2ee75e4973de37ad96851dc705ca059219467ca
---
 app/controllers/application_controller.rb |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/app/controllers/application_controller.rb b/app/controllers/application_controller.rb
index e0169f2..c7c0f4e 100644
--- a/app/controllers/application_controller.rb
+++ b/app/controllers/application_controller.rb
@@ -18,6 +18,9 @@ require 'cgi'
 class ApplicationController < ActionController::Base
   helper :all
 
+  class_attribute :accept_key_auth_actions
+  self.accept_key_auth_actions = []
+
   protected
 
   include Redmine::I18n
@@ -338,11 +341,7 @@ class ApplicationController < ActionController::Base
 
   def self.accept_key_auth(*actions)
     actions = actions.flatten.map(&:to_s)
-    write_inheritable_attribute('accept_key_auth_actions', actions)
-  end
-
-  def accept_key_auth_actions
-    self.class.read_inheritable_attribute('accept_key_auth_actions') || []
+    self.accept_key_auth_actions = actions if actions.any?
   end
 
   # Returns the number of objects that should be displayed
-- 
1.7.1


